package com.yeejoin.equipmanage.service;

import com.yeejoin.equipmanage.common.vo.EquipCategoryVo;

import java.util.List;
import java.util.Map;

public interface IStatisticsService {

	Map<String, String> getAllCategoryBaseByWarehouseId(Long warehouseId);

	Map<String, String> getEquipmentStatusByWarehouseId(Long warehouseId);

	Map<String, String> getCarCategoryByOrgcode(String orgcode);

	Map<String, String> getExtinguishingCategoryByWarehouseId(Long warehouseId);

	/**
	 * 获取设备台账统计信息
	 * @param systemCode 系统编号
	 * @return List<EquipCategoryVo>
	 */
    List<EquipCategoryVo> equipCategoryVoList(String systemCode);
}
